export = validateTempEmailCode;
/**
 * Verify the temp email code sent to the user's email address
 * ==============================================================================
 * @async
 *
 * @param {object} params - Single Param object containing params
 * @param {http.IncomingMessage & Object<string, any>} params.request
 * @param {string} [params.email]
 *
 * @returns { Promise<boolean>}
 */
declare function validateTempEmailCode({ request, email }: {
    request: http.IncomingMessage & {
        [x: string]: any;
    };
    email?: string;
}): Promise<boolean>;
import http = require("http");
